# $Revision: 1.70 $, $Date: 2002/11/17 17:42:28 $

# conditional build
# _without_dist_kernel          without kernel from distribution
# _with_linux22			with 2.2 series kernel
# _without_smp			without build smp package

%define		_rel	3

Summary:	Advanced Linux Sound Architecture (ALSA) - Drivers
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Sterowniki
Name:		alsa-driver
Version:	0.9.0rc5
Release:	%{_rel}
License:	GPL
Group:		Base/Kernel
Source0:	ftp://ftp.alsa-project.org/pub/driver/%{name}-%{version}.tar.bz2
Patch0:		%{name}-make.patch
Patch1:		%{name}-linux2.2.patch
Patch2:		%{name}-oss.patch
URL:		http://www.alsa-project.org/
%{!?_without_dist_kernel:BuildRequires:	kernel-headers}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	modutils
BuildRequires:	ncurses-devel
BuildConflicts:	alsa-lib <= 0.4.0
ExcludeArch:	sparc
ExcludeArch:	sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__sysconfdir	/etc

%description
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features. ALSA is for 2.2
and 2.4 kernels. If you get "unresolved symbol(s)" when inserting
modules then get src package and recompile it.

%description -l pl
Sterownik kart dwikowych Advanced Linux Sound Architecture.
Sterownik ten jest w peni kompatybilny z OSS/Lite ale zawiera
znacznie wicej ulepsze. ALSA jest przeznaczona zarwno dla kerneli
2.2.x jak i 2.4.x Jeli podczas prby zaadowania moduw dostaniesz
"unresolved symbol(s)" to cignij rdowy pakiet i przekompiluj go.

%package -n kernel-sound-alsa
Summary:	Advanced Linux Sound Architecture (ALSA) - Drivers
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Sterowniki
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Provides:	alsa
Provides:	alsa-driver
Obsoletes:	alsa-driver-smp
Obsoletes:	alsa
Obsoletes:	alsa-driver
Obsoletes:	alsa-driver-up

%description -n kernel-sound-alsa
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features. ALSA is for 2.2
and 2.4 kernels. If you get "unresolved symbol(s)" when inserting
modules then get src package and recompile it.

%description -n kernel-sound-alsa -l pl
Sterownik kart dwikowych Advanced Linux Sound Architecture.
Sterownik ten jest w peni kompatybilny z OSS/Lite ale zawiera
znacznie wicej ulepsze. ALSA jest przeznaczona zarwno dla kerneli
2.2.x jak i 2.4.x. Jeli podczas prby zaadowania moduw dostaniesz
"unresolved symbol(s)" to cignij rdowy pakiet i przekompiluj go.

%package -n kernel-smp-sound-alsa
Summary:	Advanced Linux Sound Architecture (ALSA) - SMP Drivers
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Sterowniki SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Provides:	alsa
Provides:	alsa-driver
Obsoletes:	alsa-driver-smp
Obsoletes:	alsa
Obsoletes:	alsa-driver

%description -n kernel-smp-sound-alsa
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features. ALSA is for 2.2
and 2.4 kernels. If you get "unresolved symbol(s)" when inserting
modules then get src package and recompile it.

%description -n kernel-smp-sound-alsa -l pl
Sterownik kart dwikowych Advanced Linux Sound Architecture.
Sterownik ten jest w peni kompatybilny z OSS/Lite ale zawiera
znacznie wicej ulepsze. ALSA jest przeznaczona zarwno dla kerneli
2.2.x jak i 2.4.x. Jeli podczas prby zaadowania moduw dostaniesz
"unresolved symbol(s)" to cignij rdowy pakiet i przekompiluj go.

%package devel
Summary:	Advanced Linux Sound Architecture (ALSA) - header files
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - pliki nagowkowe
Group:		Development/Libraries

%description devel
Advanced Linux Sound Architecture (ALSA) - header files.

%description devel -l pl
Advanced Linux Sound Architecture (ALSA) - pliki nagwkowe.

%prep
%setup -q -n alsa-driver-%{version}
%patch0 -p1
%{?_with_linux22:%patch1 -p1}
%patch2 -p1

%build
%if %{!?_without_smp:1}%{?_without_smp:0}
%{__aclocal}
%{__autoconf}
%configure \
	--with-processor=%{_target_cpu} \
	--with-kernel=%{_kernelsrcdir} \
	--with-smp=yes \
	--with-isapnp=no \
	--with-sequencer=yes \
	--with-debug=detect \
	--with-oss=yes 

		    
%{__make}
%{__make} install-modules  \
	moddir=$(pwd)/smp_modules
%{__make} mrproper
%endif

%configure \
	--with-processor=%{_target_cpu} \
	--with-kernel=%{_kernelsrcdir} \
	--with-smp=no \
	--with-isapnp=no \
	--with-sequencer=yes \
	--with-debug=detect \
	--with-oss=yes 


%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc


%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	moddir=$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

%if %{!?_without_smp:1}%{?_without_smp:0}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
cp -a smp_modules/* $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
%endif

gzip -9nf FAQ INSTALL README doc/SOUNDCARDS WARNING

%post   -n kernel-sound-alsa
/sbin/depmod -a
if modprobe -c | grep -s -q snd_; then \
    echo;\
    echo "             ===== WARNING =====";\
    echo;\
    echo "The options for ALSA modules on your system still include snd_ prefix,";\
    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
    echo "For convenience, you can use utils/module-options script to convert";\
    echo "the snd_ prefix automatically.";\
    echo;\
fi;

%postun -n kernel-sound-alsa
/sbin/depmod -a

%post   -n kernel-smp-sound-alsa
/sbin/depmod -a
if modprobe -c | grep -s -q snd_; then \
    echo;\
    echo "             ===== WARNING =====";\
    echo;\
    echo "The options for ALSA modules on your system still include snd_ prefix,";\
    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
    echo "For convenience, you can use utils/module-options script to convert";\
    echo "the snd_ prefix automatically.";\
    echo;\
fi;

%postun -n kernel-smp-sound-alsa
/sbin/depmod -a

%clean
rm -rf $RPM_BUILD_ROOT

%files -n kernel-sound-alsa
%defattr(644,root,root,755)
%doc *gz doc/*gz
%doc %attr(744,root,root) snddevices
%defattr(600,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%if %{!?_without_smp:1}%{?_without_smp:0}
%files -n kernel-smp-sound-alsa
%defattr(644,root,root,755)
%doc *gz doc/*gz
%doc %attr(744,root,root) snddevices
%defattr(600,root,root,755)
%attr(600,root,root) /lib/modules/%{_kernel_ver}smp/misc/*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/sound

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: alsa-driver.spec,v $
Revision 1.70  2002/11/17 17:42:28  pascalek
- Release 3
- updated make.patch
- STBR (also with linux22 bcond)

Revision 1.69  2002/11/12 16:16:39  migo
- one '}' too much - now it builds

Revision 1.68  2002/11/10 11:57:47  aflinta
- added bcond _without_smp which makes UP life easier :))

Revision 1.67  2002/11/08 18:51:05  aflinta
- added oss.patch which fixes lockups occured on some machines
- release 2

Revision 1.66  2002/10/26 14:54:52  wrobell
- ver. 0.9.0rc5

Revision 1.65  2002/10/23 00:33:21  aflinta
- cleanups

Revision 1.64  2002/10/23 00:27:44  aflinta
- merged from DEVEL
- updated to version 0.9.0rc4

Revision 1.51.2.11  2002/09/30 05:55:51  pascalek
- linux2.2 patch added

Revision 1.51.2.10  2002/09/17 16:31:22  wrobell
- build with default compiler
- rel. 2

Revision 1.51.2.9  2002/09/03 14:49:42  qboosh
- BR: automake

Revision 1.51.2.8  2002/08/28 21:50:29  aflinta
- updated to version 0.9.0rc3

Revision 1.51.2.7  2002/06/22 12:34:21  aflinta
- updated to version 0.9rc2

Revision 1.51.2.6  2002/05/07 21:02:19  mmazur
- whoops... back to %{kgcc} :)

Revision 1.51.2.5  2002/05/07 20:55:01  mmazur
- switched kgcc to gcc2 and added aclocal (it doesn't do anything but it's
more cool this way :)

Revision 1.51.2.4  2002/04/28 12:58:13  aflinta
- corrected permissions to include files

Revision 1.51.2.3  2002/04/26 21:37:48  aflinta
- updated to version 0.9.0rc1

Revision 1.51.2.2  2002/03/18 21:12:56  misiek
- updated to 0.9.0beta12

Revision 1.53  2002/03/18 20:05:10  misiek
- wrong place

Revision 1.51  2002/03/17 16:06:24  dzimi

- update release numbers to build with new kernel release

Revision 1.50  2002/03/13 16:33:56  mkochano
- Typos.

Revision 1.49  2002/03/04 22:35:34  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.8.

Revision 1.48  2002/03/03 22:36:35  marcus
- build against 2.2.20-12, rel.7

Revision 1.47  2002/02/26 15:37:12  qboosh
- use requires_releq_kernel_{up,smp} macros, release 6

Revision 1.46  2002/02/23 21:43:58  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 5, STBR

Revision 1.45  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/02/20 13:14:57  wiget
typo

Revision 1.43  2002/02/11 01:27:57  kloczek
- adapterized.

Revision 1.42  2002/02/10 18:56:05  marcus
- some cleanups, rel 4. (for rebuild with 2.2.20-10 and new 2.4)

Revision 1.41  2002/02/02 19:54:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.40  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/10 14:16:42  kloczek
- release 3.

Revision 1.38  2002/01/07 23:56:01  alchemyx
- Obsoletes: alsa-driver-up

Revision 1.37  2001/12/22 11:02:46  marcus
- fixed release of SMP package
- s/2.3/2.4/g
- release 2, STBR

Revision 1.36  2001/12/18 20:50:19  kloczek
- start try reorganize spec file for generate in ione pass two subpackages
  with kernel modules (for up and smp) - probably it is finished but need
  testing and maybe need some discuss on pld-devel-*@.

Revision 1.35  2001/12/17 08:39:49  juandon
- commented opt patch
- don't gzip snddevices
- depmod -F /boot/System.map in post

Revision 1.34  2001/12/01 17:51:53  aflinta
- updated to version 0.5.12a

Revision 1.33  2001/11/14 08:37:01  filon
- added _without_dist_kernel option

Revision 1.32  2001/11/06 13:45:31  mkierus
- updated to 0.5.12

Revision 1.31  2001/10/28 14:08:43  arekmat
- added Provides: alsa-driver

Revision 1.30  2001/10/15 14:22:44  qboosh
- added empty base backage to remove junk from .src.rpm name

Revision 1.29  2001/09/20 16:17:11  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.28  2001/08/18 23:32:15  mkochano
- Release 3.
- Use %%configure2_13 --- without this there are unresolved symbols in
  modules.
- Call to depmod moved from %%preun to %%postun.

Revision 1.27  2001/08/15 20:28:27  saq
- using %%_kernelsrcdir
- renamed to alsa-driver, smp option in release now
- conflicts kernel-smp or -up
- release 2
- STB

Revision 1.26  2001/08/09 14:04:32  agaran
added modutils to buildreq

Revision 1.25  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.24  2001/07/25 11:50:53  wiget
2in1 - to build SMP version do 'rpm -bb --with smp'
for RFC only

Revision 1.39  2001/07/24 22:49:10  saq
- removed %%define _kernel_ver -- already in macros.pld (use
SOURCES/rpm.macros if you don't have the package yet)

Revision 1.38  2001/07/24 21:45:56  mkochano
- Definition of macro _kernel_ver moved to top of the file. Macros has
  to be defined before they are used.

Revision 1.37  2001/07/24 17:20:54  bszx
- added patch which fixes broken recording on gus classic

Revision 1.36  2001/07/23 22:22:52  saq
A group commit:
- %%define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.35  2001/05/26 23:16:50  kloczek
- updated to 0.5.11.
